# Coding Standards

## General Rules

Code should be:

- Readable.
- Self documenting.
- Consistent.

---

# Naming

Use meaningful names.

Avoid:

- Short unclear variables.
- Generic service names.

---

# Methods

Prefer:

Small focused methods.

Avoid:

Large methods handling multiple responsibilities.

---

# Error Handling

Errors should:

- Be handled explicitly.
- Provide useful messages.
- Not expose sensitive information.

---

# Comments

Comments should explain:

Why something exists.

Not what the code does.